Skip to main content
`Ctrl`+`K`

# TaoTermIsCreateHessianMatricesDefined

Whether this term can call `TaoTermCreateHessianMatrices()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermIsCreateHessianMatricesDefined(TaoTerm term, PetscBool *is_defined)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- is_defined - whether the term can create new Hessian matrices

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermCreateHessianMatrices()`, `TaoTermShellSetCreateHessianMatrices()`, `TaoTermIsObjectiveDefined()`, `TaoTermIsGradientDefined()`, `TaoTermIsObjectiveAndGradientDefined()`, `TaoTermIsHessianDefined()`

## Level

developer

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages